Last Comment Bug 743426 - javascript console hangs when entering "document.body.innerHTML."
: javascript console hangs when entering "document.body.innerHTML."
Status: RESOLVED FIXED
[fixed by bug 775812]
: hang, regression
Product: Firefox
Classification: Client Software
Component: Developer Tools: Console (show other bugs)
: 7 Branch
: All All
: -- critical (vote)
: Firefox 17
Assigned To: Nobody; OK to take it and work on it
:
: Brian Grinstead [:bgrins]
Mentors:
Depends on: 775812
Blocks: 651501
  Show dependency treegraph
 
Reported: 2012-04-07 00:38 PDT by Laxminarayan G Kamath A
Modified: 2012-08-01 13:00 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Laxminarayan G Kamath A 2012-04-07 00:38:44 PDT
User Agent: Mozilla/5.0 (X11; Linux i686; rv:13.0a1) Gecko/20120201 Firefox/13.0a1
Build ID: 20120201031146

Steps to reproduce:

1) Opened the URL http://en.wikipedia.org/wiki/Latin-derived_alphabet
2) opened the web console (ctrl-shift-k)
3) entered document.body.innerHTML. (note the dot at the end)


Actual results:

browser hung indefinitely

dont know if this hapens for other sites ..


Expected results:

browser should have continued working ..
Comment 1 Alice0775 White 2012-04-07 06:38:17 PDT
I can reproduce on other page such as https://developer.mozilla.org/En/Code_snippets .
This happens since Firefox7.

And I got  Unresponsive script dialog  as follow

A script on this page may be busy, or it may have stopped responding. You can stop the script now, or you can continue to see if the script will complete.
Script: resource:///modules/AutocompletePopup.jsm:198

A script on this page may be busy, or it may have stopped responding. You can stop the script now, or you can continue to see if the script will complete.
Script: resource:///modules/AutocompletePopup.jsm:300

Regression window:
Cannot reproduce:
http://hg.mozilla.org/mozilla-central/rev/0577771f2065
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:7.0a1) Gecko/20110624 Firefox/7.0a1 ID:20110624082701
Can reproduce:
http://hg.mozilla.org/mozilla-central/rev/0421a3198a3c
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:7.0a1) Gecko/20110624 Firefox/7.0a1 ID:20110624115816
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=0577771f2065&tochange=0421a3198a3c

Suspected: Bug 651501
Comment 2 cold_sun 2012-06-24 11:03:53 PDT
I experienced the same issue with "document.body.outerHTML.".
Comment 3 nick5990 2012-08-01 12:54:04 PDT
I tried both: 
document.body.outerHTML.
and
document.body.innerHTML.
on https://developer.mozilla.org/En/Code_snippets with Nightly 17.0a1 (2012-08-01) & Windows XP mode and couldn't reproduce.

Then tried both on the same website, however this time on FF v14.0.1, Windows 7 Ultimate, and was able to reproduce both times.

The first time I terminated FF soon after. On the second time I got the unresponsive script warning, with error message:

"A script on this page may be busy, or it may have stopped responding. You can stop the script now, or you can continue to see if the script will complete.

Script: resource:///modules/AutocompletePopup.jsm:198"
Comment 4 Mihai Sucan [:msucan] 2012-08-01 13:00:01 PDT
Thanks for testing. This is fixed by bug 775812.

Note You need to log in before you can comment on or make changes to this bug.